---
name: Bug Report
about: Use this template for reporting bugs encountered while using Diviner.
labels: 'bug'
title: "[BUG]"
---
Thank you for submitting an issue. Please refer to our [issue policy](https://www.github.com/databricks/diviner/blob/main/ISSUE_POLICY.md) for additional information about bug reports.

**Please fill in this bug report template to ensure a timely and thorough response.**

### Willingness to contribute
The Diviner Community encourages bug fix contributions. Would you or another member of your organization be willing to contribute a fix for this bug to the Diviner code base?

- [ ] Yes. I can contribute a fix for this bug independently.
- [ ] Yes. I would be willing to contribute a fix for this bug with guidance from the Diviner community.
- [ ] No. I cannot contribute a bug fix at this time.

### System information
- **Have I written custom code (as opposed to using a stock example script provided in Diviner)**:
- **OS Platform and Distribution (e.g., Linux Ubuntu 16.04)**:
- **Diviner installed from (source or binary)**:
- **Diviner version (run ``diviner --version``)**:
- **Python version**:
- **Exact command to reproduce**:

### Describe the problem
Describe the problem clearly here. Include descriptions of the expected behavior and the actual behavior.

### Code to reproduce issue
Provide a reproducible test case that is the bare minimum necessary to generate the problem.

### Other info / logs
Include any logs or source code that would be helpful to diagnose the problem. If including tracebacks, please include the full traceback. Large logs and files should be attached.


### What component(s) does this bug affect?
Components 
- [ ] `area/models`: Forecasting framework interfaces and associated training and prediction code for Diviner
- [ ] `area/analysis`: Ad-hoc analytic EDA functionality (i.e., trend decomposition)
- [ ] `area/data`: Data structure transformation code
- [ ] `area/examples`: Example code
- [ ] `area/serialization`: Model serialization and deserialization
- [ ] `area/utilities`: Common or per-framework utility code
- [ ] `area/scoring`: Cross validation, back-testing, and associated scoring functionality
- [ ] `area/docs`: Diviner documentation pages
