---
name: Feature Request
about: Use this template for feature and enhancement proposals.
labels: 'enhancement'
title: "[FR]"
---
Thank you for submitting a feature request. **Before proceeding, please review Diviner's [Issue Policy for feature requests](https://www.github.com/databricks/diviner/blob/main/ISSUE_POLICY.rst) and the [Diviner Contributing Guide](https://github.com/databricks/diviner/blob/main/CONTRIBUTING.rst)**.

**Please fill in this feature request template to ensure a timely and thorough response.**

## Willingness to contribute
The Diviner Community encourages new feature contributions. Would you or another member of your organization be willing to contribute an implementation of this feature?

- [ ] Yes. I can contribute this feature independently.
- [ ] Yes. I would be willing to contribute this feature with guidance from the MLflow community.
- [ ] No. I cannot contribute this feature at this time.

## Proposal Summary

(In a few sentences, provide a clear, high-level description of the feature request)

## Motivation
- What is the use case for this feature?
- Why is this use case valuable to support for Diviner users in general?
- Why is this use case valuable to support for your project(s) or organization?
- Why is it currently difficult to achieve this use case?

### What component(s) does this feature affect?
Components 
- [ ] `area/models`: Forecasting framework interfaces and associated training and prediction code for Diviner
- [ ] `area/analysis`: Ad-hoc analytic EDA functionality (i.e., trend decomposition)
- [ ] `area/data`: Data structure transformation code
- [ ] `area/examples`: Example code
- [ ] `area/serialization`: Model serialization and deserialization
- [ ] `area/utilities`: Common or per-framework utility code
- [ ] `area/scoring`: Cross validation, back-testing, and associated scoring functionality
- [ ] `area/docs`: Diviner documentation pages

## Details

(Use this section to include any additional information about the feature. If you have a proposal for how to implement this feature, please include it here. For implementation guidelines, please refer to the [Contributing Guide](https://github.com/databricks/diviner/blob/main/CONTRIBUTING.rst).)
