---
name: Usage Issues
about: Use this template for reporting bugs encountered while using Diviner.
labels: 'bug'
title: "[USAGE-ISSUE]"
---
Thank you for submitting an issue. Please refer to our [issue policy](https://www.github.com/databricks/diviner/blob/main/ISSUE_POLICY.md) for information on what types of issues we address.

**Please fill in this installation issue template to ensure a timely and thorough response.**

### System information
- **OS Platform and Distribution (e.g., Linux Ubuntu 16.04)**:
- **Diviner installed from (source or binary)**:
- **Diviner version (run ``diviner --version``)**:
- **Python version**:
- **Exact code to reproduce**:
- **Input data schema**:
- **(Optional) Input data sample**:

### Describe the problem
Provide the exact sequence of commands / steps that you executed before running into the problem.

### Other info / logs
Include any logs or source code that would be helpful to diagnose the problem. If including tracebacks, please include the full traceback. Large logs and files should be attached.
